Bug 910535 - (kubrick) Review Request: kubrick - Puzzle cube solving game
Review Request: kubrick - Puzzle cube solving game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
Reported: 2013-02-12 14:26 EST by Rex Dieter
Modified: 2013-02-19 09:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-19 09:44:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alekcejk: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:26:05 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kubrick.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kubrick-4.10.0-1.fc18.src.rpm
Description: A game based on the famous Rubik's Cube
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 10:18:27 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kubrick.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kubrick-4.10.0-2.fc18.src.rpm
Kubrick is a puzzle cube solving game. The cube sizes range from
2x2x2 (easy) up to 6x6x6 (very hard), or you can play with irregular
“bricks” such as 5x3x2 and “mats” (one cubie thick) such
as 6x4x1. The game has a selection of puzzles at several levels of
difficulty, as well as some demonstrations of pretty patterns and solution
moves. It is also possible to make up your own puzzles.

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, summary/description
Comment 2 nucleo 2013-02-18 16:01:52 EST
Everything fine, but also AUTHORS can be added in %doc
Comment 3 nucleo 2013-02-18 16:02:24 EST
MUST Items:
+ rpmlint output
  $ rpmlint kubrick-4.10.0-1.fc18.i686.rpm kubrick-debuginfo-4.10.0-1.fc18.i686.rpm kubrick-4.10.0-2.fc18.src.rpm kubrick.spec 
    kubrick.i686: W: no-manual-page-for-binary kubrick
    kubrick.src: W: spelling-error %description -l en_US cubie -> cube, curie, cubit
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kubrick-4.10.0.tar.xz
+ spec file name kubrick.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: f549a3913b480ba26ef66a634dff9643  kubrick-4.10.0.tar.xz
  SHA1: a8011960b054f6dbf43906836894b5c4a9bca3b3  kubrick-4.10.0.tar.xz
  SHA256: 5863f396e833c1970d73336e88eac5d222860f183d00f380040de9b65ed07d05  kubrick-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, game data and themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kubrick.desktop file for the GUI app kubrick present
+ desktop-file-validate is used in %check and the kubrick.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kubrick's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

Comment 4 Rex Dieter 2013-02-18 16:23:28 EST
New Package SCM Request
Package Name: kubrick
Short Description: Puzzle cube solving game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
Comment 5 Jon Ciesla 2013-02-18 17:29:29 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2013-02-19 09:44:21 EST

Note You need to log in before you can comment on or make changes to this bug.